
Efl_Object *_efl_ui_tab_bar_efl_object_constructor(Eo *obj, Efl_Ui_Tab_Bar_Data *pd);


Efl_Object *_efl_ui_tab_bar_efl_object_finalize(Eo *obj, Efl_Ui_Tab_Bar_Data *pd);


void _efl_ui_tab_bar_efl_object_destructor(Eo *obj, Efl_Ui_Tab_Bar_Data *pd);


Efl_Ui_Selectable *_efl_ui_tab_bar_efl_ui_single_selectable_last_selected_get(const Eo *obj, Efl_Ui_Tab_Bar_Data *pd);


void _efl_ui_tab_bar_efl_ui_single_selectable_fallback_selection_set(Eo *obj, Efl_Ui_Tab_Bar_Data *pd, Efl_Ui_Selectable *fallback);


Efl_Ui_Selectable *_efl_ui_tab_bar_efl_ui_single_selectable_fallback_selection_get(const Eo *obj, Efl_Ui_Tab_Bar_Data *pd);


void _efl_ui_tab_bar_efl_ui_single_selectable_allow_manual_deselection_set(Eo *obj, Efl_Ui_Tab_Bar_Data *pd, Eina_Bool allow_manual_deselection);


Eina_Bool _efl_ui_tab_bar_efl_ui_single_selectable_allow_manual_deselection_get(const Eo *obj, Efl_Ui_Tab_Bar_Data *pd);


Eina_Bool _efl_ui_tab_bar_efl_pack_pack(Eo *obj, Efl_Ui_Tab_Bar_Data *pd, Efl_Gfx_Entity *subobj);


Eina_Bool _efl_ui_tab_bar_efl_pack_pack_clear(Eo *obj, Efl_Ui_Tab_Bar_Data *pd);


Eina_Bool _efl_ui_tab_bar_efl_pack_unpack_all(Eo *obj, Efl_Ui_Tab_Bar_Data *pd);


Eina_Bool _efl_ui_tab_bar_efl_pack_unpack(Eo *obj, Efl_Ui_Tab_Bar_Data *pd, Efl_Gfx_Entity *subobj);


Efl_Gfx_Entity *_efl_ui_tab_bar_efl_pack_linear_pack_unpack_at(Eo *obj, Efl_Ui_Tab_Bar_Data *pd, int index);


Eina_Bool _efl_ui_tab_bar_efl_pack_linear_pack_begin(Eo *obj, Efl_Ui_Tab_Bar_Data *pd, Efl_Gfx_Entity *subobj);


Eina_Bool _efl_ui_tab_bar_efl_pack_linear_pack_end(Eo *obj, Efl_Ui_Tab_Bar_Data *pd, Efl_Gfx_Entity *subobj);


Eina_Bool _efl_ui_tab_bar_efl_pack_linear_pack_before(Eo *obj, Efl_Ui_Tab_Bar_Data *pd, Efl_Gfx_Entity *subobj, const Efl_Gfx_Entity *existing);


Eina_Bool _efl_ui_tab_bar_efl_pack_linear_pack_after(Eo *obj, Efl_Ui_Tab_Bar_Data *pd, Efl_Gfx_Entity *subobj, const Efl_Gfx_Entity *existing);


Eina_Bool _efl_ui_tab_bar_efl_pack_linear_pack_at(Eo *obj, Efl_Ui_Tab_Bar_Data *pd, Efl_Gfx_Entity *subobj, int index);


int _efl_ui_tab_bar_efl_container_content_count(Eo *obj, Efl_Ui_Tab_Bar_Data *pd);


Eina_Iterator *_efl_ui_tab_bar_efl_container_content_iterate(Eo *obj, Efl_Ui_Tab_Bar_Data *pd);


static Eina_Bool
_efl_ui_tab_bar_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_TAB_BAR_EXTRA_OPS
#define EFL_UI_TAB_BAR_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_ui_tab_bar_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_finalize, _efl_ui_tab_bar_efl_object_finalize),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_ui_tab_bar_efl_object_destructor),
      EFL_OBJECT_OP_FUNC(efl_ui_selectable_last_selected_get, _efl_ui_tab_bar_efl_ui_single_selectable_last_selected_get),
      EFL_OBJECT_OP_FUNC(efl_ui_selectable_fallback_selection_set, _efl_ui_tab_bar_efl_ui_single_selectable_fallback_selection_set),
      EFL_OBJECT_OP_FUNC(efl_ui_selectable_fallback_selection_get, _efl_ui_tab_bar_efl_ui_single_selectable_fallback_selection_get),
      EFL_OBJECT_OP_FUNC(efl_ui_selectable_allow_manual_deselection_set, _efl_ui_tab_bar_efl_ui_single_selectable_allow_manual_deselection_set),
      EFL_OBJECT_OP_FUNC(efl_ui_selectable_allow_manual_deselection_get, _efl_ui_tab_bar_efl_ui_single_selectable_allow_manual_deselection_get),
      EFL_OBJECT_OP_FUNC(efl_pack, _efl_ui_tab_bar_efl_pack_pack),
      EFL_OBJECT_OP_FUNC(efl_pack_clear, _efl_ui_tab_bar_efl_pack_pack_clear),
      EFL_OBJECT_OP_FUNC(efl_pack_unpack_all, _efl_ui_tab_bar_efl_pack_unpack_all),
      EFL_OBJECT_OP_FUNC(efl_pack_unpack, _efl_ui_tab_bar_efl_pack_unpack),
      EFL_OBJECT_OP_FUNC(efl_pack_unpack_at, _efl_ui_tab_bar_efl_pack_linear_pack_unpack_at),
      EFL_OBJECT_OP_FUNC(efl_pack_begin, _efl_ui_tab_bar_efl_pack_linear_pack_begin),
      EFL_OBJECT_OP_FUNC(efl_pack_end, _efl_ui_tab_bar_efl_pack_linear_pack_end),
      EFL_OBJECT_OP_FUNC(efl_pack_before, _efl_ui_tab_bar_efl_pack_linear_pack_before),
      EFL_OBJECT_OP_FUNC(efl_pack_after, _efl_ui_tab_bar_efl_pack_linear_pack_after),
      EFL_OBJECT_OP_FUNC(efl_pack_at, _efl_ui_tab_bar_efl_pack_linear_pack_at),
      EFL_OBJECT_OP_FUNC(efl_content_count, _efl_ui_tab_bar_efl_container_content_count),
      EFL_OBJECT_OP_FUNC(efl_content_iterate, _efl_ui_tab_bar_efl_container_content_iterate),
      EFL_UI_TAB_BAR_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_tab_bar_class_desc = {
   EO_VERSION,
   "Efl.Ui.Tab_Bar",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Ui_Tab_Bar_Data),
   _efl_ui_tab_bar_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_tab_bar_class_get, &_efl_ui_tab_bar_class_desc, EFL_UI_LAYOUT_BASE_CLASS, EFL_UI_SINGLE_SELECTABLE_INTERFACE, EFL_PACK_LINEAR_INTERFACE, EFL_PACK_INTERFACE, NULL);
